


    set addressinfo [split $AddressData :]
    set A32Base [third $addressinfo]

   DefineRegister $Module xVME Test_Reg            "-a $A32Base -w 32 -o 0x40 -p wo -d 16 -z x -i 255"
   DefineRegister $Module xVME Ctrl_Reg1           "-a $A32Base -w 32 -o 0x44 -p rw -d 16 -z x -i 1"
   DefineRegister $Module xVME Disable             "-a $A32Base -w 32 -o 0x44 -p rw -d 16 -l 1 -b 0 -z d"
   DefineRegister $Module xVME TestPulse           "-a $A32Base -w 32 -o 0x46 -p wo -d 16 -z x"
   DefineRegister $Module xVME Vsn1                "-a $A32Base -w 32 -o 0x48 -p rw -d 16 -l 8 -b 0 -z x -i 0"
   DefineRegister $Module xVME Vsn2                "-a $A32Base -w 32 -o 0x4a -p rw -d 16 -l 8 -b 0 -z x -i 0"
   DefineRegister $Module xVME Ctrl_Reg2           "-a $A32Base -w 32 -o 0x4c -p rw -d 16 -z x -i 0"
   DefineRegister $Module xVME RTP                 "-a $A32Base -w 32 -o 0x4e -p rw -d 16 -l 5 -b 0 -z x -i 2"
   for {set index 0} {$index < 32} {incr index} {
      DefineRegister $Module xVME Threshold$index      "-a $A32Base -w 32 -o [expr $index+$index] -p rw -d 16 -l 8 -b 0 -z d -i 16"
   }

   DefineRegister $Module bVME FIFO            "-a [expr $A32Base + 0x100] -w 32 -o 0x0 -p ro -d 32 -z x -l 64"
   DefineRegister $Module bVME Output_Buffer   "-a [expr $A32Base + 0x100] -w 32 -o 0x0 -p ro -d 32 -z x -l 64"

   DefineRegister $Module xVME DataItem            "-a [expr $A32Base + 0x100] -w 32 -o 0x0 -p ro -d 32 -l 0 -b 0 -z x"

puts "Defined $Module"
