

# variable started 0

if {![info exists started]} {variable started 0}

if {$started != 0} {

     variable JS ""
     variable LogFlag

     if {$LogFlag == 1} {InsertLog "Last Updated: [clock format [clock seconds] -format "%B %d, %Y %H:%M:%S"]"}

    do_click
}

if {$started == 0} {           ;#  first time load code and define local variables
    set started 1


    variable LogText ""
    variable LogFlag 0
    variable LogCount 0

    variable ShowLogFlag 0

    variable JS ""

    variable allmodules 0
    variable AutoUpdate 0

    variable Rmsg
    variable Wmsg

    variable ModuleName myriad
    variable ModuleMenu {}
    variable ModuleAddress {}
    variable ModuleIndex 1

    variable MyRIADRegisterMapA1 {}
    lappend MyRIADRegisterMapA1 {BoardID "Board ID" 0x0000 "readonly"}
    lappend MyRIADRegisterMapA1 {FIFOStatus "FIFO Status" 0x0004 "readonly"}
    lappend MyRIADRegisterMapA1 {HdwrStatus "Hardware Status" 0x0020 "readonly"}
 
    variable MyRIADRegisterMapA2 {}
    lappend MyRIADRegisterMapA2 {FirmW_Rev  "Code Revision" 0x0600 "readonly"}
    lappend MyRIADRegisterMapA2 {FirmW_date "Code Date" 0x0604 "readonly"}
    lappend MyRIADRegisterMapA2 {FirmW_year "Code Year" 0x0606 "readonly"}

    variable MyRIADRegisterMapD1 {}
    lappend MyRIADRegisterMapD1 {SerDesCmdFmt "SerDes Command Format" 0x070e ""}
    lappend MyRIADRegisterMapD1 {SerDesConfig "SerDes Configuration" 0x0848 ""}
    lappend MyRIADRegisterMapD1 {PropCtrl "Propogation Control" 0x0728 ""}
 
    variable MyRIADRegisterMapD2 {}
    lappend MyRIADRegisterMapD2 {FIFOCount  "FIFO Counter" 0x07ec "readonly"}
    lappend MyRIADRegisterMapD2 {TrigCount "Trigger Counter" 0x07ee "readonly"}
    lappend MyRIADRegisterMapD2 {P_CTRL "Pulsed Control" 0x040c ""}
    lappend MyRIADRegisterMapD2 {FIFO_CTRL "FIFO Control" 0x040e ""}

    variable MyRIADRegisterMapB1 {}
    lappend MyRIADRegisterMapB1 {LTimeStampH "Latched TimeStamp [47:32]" 0x0708 "readonly"}
    lappend MyRIADRegisterMapB1 {LTimeStampM "Latched TimeStamp [31:16]" 0x070a "readonly"}
    lappend MyRIADRegisterMapB1 {LTimeStampL "Latched TimeStamp [15:0]"  0x070c "readonly"}

    variable MyRIADRegisterMapB2 {}
    lappend MyRIADRegisterMapB2 {STimeStampH "Running TimeStamp [47:32]" 0x0714 "readonly"}
    lappend MyRIADRegisterMapB2 {STimeStampM "Running TimeStamp [31:16]" 0x0716 "readonly"}
    lappend MyRIADRegisterMapB2 {STimeStampL "Running TimeStamp [15:0]"  0x0718 "readonly"}

    variable MyRIADRegisterMapC1 {}
    lappend MyRIADRegisterMapC1 {NIMStatus "NIM input status" 0x0700 "readonly"}
    lappend MyRIADRegisterMapC1 {Gating "Gating control" 0x0702 ""}
    lappend MyRIADRegisterMapC1 {ECLStatusA "ECL data input status" 0x0704 "readonly"}
    lappend MyRIADRegisterMapC1 {ECLStatusB "ECL control input status" 0x0706 "readonly"}

    variable MyRIADRegisterMapC2 {}
    lappend MyRIADRegisterMapC2 {Test1 "Test Reg #1" 0x918 ""}
    lappend MyRIADRegisterMapC2 {Test2 "Test Reg #2" 0x91a ""}
    lappend MyRIADRegisterMapC2 {Test3 "Test Reg #3" 0x91c ""}
    lappend MyRIADRegisterMapC2 {Test4 "Test Reg #4" 0x91e ""}

    variable MyRIADRegisterMapE1 {}
    lappend MyRIADRegisterMapE1 {CoincOutCtrl "Width of NIM Pulse (10ns)" 0x072c ""}
    lappend MyRIADRegisterMapE1 {AuxTrigDelay "Aux Detector Trig Delay (10ns)" 0x0710 ""}
    lappend MyRIADRegisterMapE1 {GSTrigGate "GS Trig Gate (10ns)" 0x0712 ""}

    variable MyRIADRegisterMapE2 {}
    lappend MyRIADRegisterMapE2 {UserCount0 "pulses on NIM input #0" 0x07f2 ""}
    lappend MyRIADRegisterMapE2 {CoincIssued  "Coinc Issued" 0x0806 ""}
    lappend MyRIADRegisterMapE2 {CoincTimeOut "Coinc TimeOut" 0x0808 ""}

    variable MyRIADRegisterMap {}
    foreach item $MyRIADRegisterMapA1 {lappend MyRIADRegisterMap $item}
    foreach item $MyRIADRegisterMapA2 {lappend MyRIADRegisterMap $item}
    foreach item $MyRIADRegisterMapB1 {lappend MyRIADRegisterMap $item}
    foreach item $MyRIADRegisterMapB2 {lappend MyRIADRegisterMap $item}
    foreach item $MyRIADRegisterMapC1 {lappend MyRIADRegisterMap $item}
    foreach item $MyRIADRegisterMapC2 {lappend MyRIADRegisterMap $item}
    foreach item $MyRIADRegisterMapD1 {lappend MyRIADRegisterMap $item}
    foreach item $MyRIADRegisterMapD2 {lappend MyRIADRegisterMap $item}
    foreach item $MyRIADRegisterMapE1 {lappend MyRIADRegisterMap $item}
    foreach item $MyRIADRegisterMapE2 {lappend MyRIADRegisterMap $item}



    variable SaveRestoreMenu {Gating CoincOutCtrl AuxTrigDelay GSTrigGate}



     if {$LogFlag == 1} {InsertLog "Started: [clock format [clock seconds] -format "%B %d, %Y %H:%M:%S"]"}

   proc do_ExpertHelp {} {

        set Txtfile [file join MyRIAD Expert.txt]
        set z [catch {open $Txtfile r} file]
        if {$z != 0} {
            Alert "Unable to access $Txtfile\nInformation coming very soon!!\nFor now read the manual!!"
            return
        }

        set text [read $file]
        close $file

        Alert "$text"
  }

   proc show_variables {} {
        variable ModuleName
        variable ModuleIndex
        variable ModuleMenu
        variable NumModules
        variable ModuleType
        variable allmodules
        variable LogFlag
        variable ShowLogFlag
        variable Rmsg
        variable Wmsg

             InsertLog "LogFlag=$LogFlag; ShowLogFlag=$ShowLogFlag"
             InsertLog "ModuleMenu=$ModuleMenu; ModuleName=$ModuleName; ModuleIndex=$ModuleIndex; "
             InsertLog "allmodules=$allmodules"
             InsertLog "Rmsg=$Rmsg"
             InsertLog "Wmsg=$Wmsg"
   }

   proc do_Select {i} {    ;# select module
        variable ModuleIndex

         set ModuleIndex $i
         UpdateModule
   }

    proc UpdateModule {} {
        variable ModuleName
        variable ModuleIndex

   }

    proc click-SETTING {w vl} {

        WriteRegister $w $vl
    }


    proc do_Save {which} {
        variable ModuleName
        variable ModuleIndex
        variable SaveRestoreMenu

       set SAV $ModuleIndex

           set ModuleIndex $which
           InsertLog "Saving Settings for CAEN [set ModuleName]#[set ModuleIndex]"

           set Project $::DataAcquisition::PROJECT
           set DBRootName [set ::[set Project]::DBRootName]
           set DBNodeBase [set ::[set Project]::DBNodeBase]

           set ::[set Project]::DBNodeName [string tolower $ModuleName]#[set ModuleIndex]
           DBCreateNode $DBRootName/$DBNodeBase/[set ::[set Project]::DBNodeName]

	foreach item $SaveRestoreMenu {
	    DBSetValue $item  [ReadRegister $item]
	}

        set ModuleIndex $SAV
    }

   proc do_Restore {which} {
        variable ModuleIndex
        variable ModuleName
        variable SaveRestoreMenu

        set SAV1 $ModuleIndex

        set ModuleIndex $which

        InsertLog "Restoring Settings for CAEN [set ModuleName]#[set ModuleIndex]"

           set Project $::DataAcquisition::PROJECT
           set DBRootName [set ::[set Project]::DBRootName]
           set DBNodeBase [set ::[set Project]::DBNodeBase]

           set ::[set Project]::DBNodeName [string tolower $ModuleName]#[set ModuleIndex]
           DBCreateNode $DBRootName/$DBNodeBase/[set ::[set Project]::DBNodeName]

       foreach item $SaveRestoreMenu {

	   WriteRegister $item [DBGetValue $item]
       }

        set ModuleIndex $SAV1
    }

     proc do_Init {} {

         InsertLog "Performing system initialise on the MyRIAD module"

#    read the SerDes COMMAND FORMAT register
          set vl [ReadRegister SerDesCmdFmt]
#    check set for DGS mode
          if {$vl != 0x0000} {
              InsertLog "SerDes Command Format register = [format 0x%04x $vl]"
              InsertLog "SerDes Command Format register not in DGS master trigger mode - resetting"
              WriteRegister SerDesCmdFmt 0x0000; after 1000
              set vl [ReadRegister SerDesCmdFmt]
              if {$vl != 0x0000} {
                 InsertLog "SerDes Command Format register = [format 0x%04x $vl]"
                 InsertLog "SerDes Command Format register STILL not in DGS master trigger mode - giving up!!"
                 return
              }
          }
          InsertLog "SerDes Command Format register OK"

#    read the SerDes CONFIG register
          set vl [ReadRegister SerDesConfig]
          if {$vl != 0x8063} {
              InsertLog "SerDes Config register = [format 0x%04x $vl]"
              InsertLog "SerDes Config register not in reset state continuing"
#              return
          } else {
              InsertLog "SerDes Config register OK"
          }

#    read the Hardware Status register
          set err 0
          set vl [ReadRegister HdwrStatus]
          InsertLog "Hardware status register = [format 0x%04x $vl]"
          if {[expr $vl & 0x0400] != 0x0000} {
              InsertLog "SD Lock is NOT active"
              incr err
          }
          if {[expr $vl & 0x8000] != 0x8000} {
              InsertLog "SD_SM Lock is NOT set"
              incr err
          }
          if {$err == 0} {InsertLog "Hardware Status register OK"} else {InsertLog "Hardware Status register has errors"}

#    read the Propagation Control register
          set vl [ReadRegister PropCtrl]
          if {[expr $vl & 0x0001] != 0x0001} {
              InsertLog "Propagation Control register = [format 0x%04x $vl]"
              InsertLog "Propagation Control register SYNC is not set"
          }
          InsertLog "Progagation Control register checked"

#    set the SerDes CONFIG register
          WriteRegister SerDesConfig 0x0063; after 1000
          InsertLog "SerDes Config register set to 0x0063"

#    Clear state machine Status bits
          WriteRegister P_CTRL 0x002c; after 2000
          InsertLog "Pulsed Control register set to 0x002c"

#    read the Hardware Status register
          set err 0
          set vl [ReadRegister HdwrStatus]
          InsertLog "Hardware status register = [format 0x%04x $vl]"
          if {[expr $vl & 0x8000] != 0x8000} {
              InsertLog "SD_SM Lock is NOT set"
              incr err
          }
          if {[expr $vl & 0x0004] == 0x0004} {
              InsertLog "SD_SM_LST_LK Lock IS set"
              incr err
          }
          if {$err == 0} {InsertLog "Hardware Status register OK"} else {InsertLog "Hardware Status register has errors"}

#    read the System Timestamp to check function
          set vl [ReadRegister STimeStampL]
          if {[ReadRegister STimeStampL] == $vl} {InsertLog "MyRIAD Stimestamp is NOT counting"} else {InsertLog "MyRIAD timestamp is counting"}

#    finished
         InsertLog "\nIf required now Restore Settings"

     }

     proc do_Reboot {} {

         WriteRegister Reboot 2
         WriteRegister Reboot 0
         WriteRegister Reboot 1
     }

     proc do_TestSetup {} {

          WriteRegister SerDesCmdFmt 0x0000
          WriteRegister SerDesConfig 0x8063
          WriteRegister HdwrStatus   0x8000
          WriteRegister PropCtrl     0x0001
          WriteRegister FIFOStatus   0x0000

     }


     proc do_click {} {
       variable cgidata
       variable started
       variable LogFlag
       variable ShowLogFlag
       variable ModuleIndex
       variable ModuleName

       set cgidata [ncgi::nvlist]

       if {$LogFlag == 1} {InsertLog "cgidata= ([llength $cgidata]) $cgidata"}

       if {[llength $cgidata] == 0} then {return}

       if {[llength $cgidata] < 2} then {
           InsertLog "CGI data is too short: $cgidata"
       } else {
           if {[lindex $cgidata 0] != "Widget"} then {
               InsertLog "Invalid CGI data: $cgidata"
           } else {
               set w [lindex $cgidata 1]

               switch -glob [lindex $w 0] {

                   RESET    {set started 0}
                   CLEAR    {EmptyLog}
                   ELOG     {PrintLog}
                   RELOAD   {}
                   VARIABLES {show_variables}

                   HIDE     {set ShowLogFlag 0}
                   SHOW     {set ShowLogFlag 1}
                   LOGON    {set LogFlag 1}
                   LOGOFF   {set LogFlag 0}

                   ALLMODULES {variable allmodules; set allmodules [expr ($allmodules + 1) & 1]}

                   MODULE   {do_Select [lindex $w 1]}

                   UPDATE    {}
                   AUTOUPDATE  {variable AutoUpdate; set AutoUpdate [expr ($AutoUpdate + 1) & 1]}

                   EXPERT {
                      switch [lindex $w 1] {
                        TestSetup   {do_TestSetup}
                        default     {}
                      }
                   }

                   EXPERTHELP    {do_ExpertHelp}

                   INIT         {do_Init}
                   REBOOT       {do_Reboot; after 2500}

                   SAVE         {do_Save $ModuleIndex}
                   RESTORE      {do_Restore $ModuleIndex}

                   SETTING     {click-SETTING [lindex $w 1] [lindex $w 2]}

                   REDISPLAY  {} 

                   MainLog {}
                   undefined {}
                   default {InsertLog "unexpected CGI data: [lindex $w 0]: $cgidata"}
               }
           }
       }
       UpdateModule
    }

}   ;# end of if {$started == 0}

