

# variable started 0

if {![info exists started]} {variable started 0}

if {$started != 0} {

     variable JS ""
     variable LogFlag

     if {$LogFlag == 1} {InsertLog "Last Updated: [clock format [clock seconds] -format "%B %d, %Y %H:%M:%S"]"}

    do_click
}

if {$started == 0} {           ;#  first time load code and define local variables
    set started 1


    variable LogText ""
    variable LogFlag 0
    variable LogCount 0

    variable ShowLogFlag 0

    variable JS ""

    variable allmodules 0
    variable offline 0

   variable SoftTrigRun 0

    variable Rmsg
    variable Wmsg

    variable ModuleName v1495dpp
    variable ModuleMenu {}
    variable ModuleAddress {}
    variable ModuleIndex 1

    variable V1495DPPRegisterMapA {}
    lappend V1495DPPRegisterMapA {Firmware_Rev Firmware 0x800c "readonly"}
    lappend V1495DPPRegisterMapA {Version Revision 0x103c "readonly"}

    variable V1495DPPRegisterMapB {}
    lappend V1495DPPRegisterMapB {DATE "revision date" 0x10ea "readonly"}
    lappend V1495DPPRegisterMapB {Scratch16 Scratch16 0x8018 ""}
    lappend V1495DPPRegisterMapB {Scratch32 "Scratch32" 0x8020 ""}

    variable DPPCentrumA {}
    lappend DPPCentrumA {MODE "Mode" 0x101e  ""}
    lappend DPPCentrumA {STATUS2 "TimeStamp [15:0]" 0x10c6 "readonly"}
    lappend DPPCentrumA {STATUS3 "TimeStamp [31:16]" 0x10c8 "readonly"}
    lappend DPPCentrumA {STATUS4 "TimeStamp [47:32]" 0x10ca "readonly"}
    lappend DPPCentrumA {STATUS5 "EvNum [15:0]" 0x10cc "readonly"}
    lappend DPPCentrumA {STATUS6 "EvNum [31:16]" 0x10ce "readonly"}


    variable DPPCentrumB {}
    lappend DPPCentrumB {STATUS7 "CheckSum" 0x10d0 "readonly"}
    lappend DPPCentrumB {STATUS8 "Centrum Status" 0x10d2 "readonly"}
    lappend DPPCentrumB {MIS4 "Centrum Config" 0x10d6 ""}
    lappend DPPCentrumB {MIS5 "Inspection1 (output G0)" 0x10d8 ""}
    lappend DPPCentrumB {MIS2 "Inspection2 (output G1)" 0x10da ""}
    lappend DPPCentrumB {INSPECT "Inspection" 0x10de ""}

    variable DPPTriggerA {}
    lappend DPPTriggerA {CNTOK_L "Trig => Centrum [15:0]" 0x1074 "readonly"}
    lappend DPPTriggerA {CNTOK_H "Trig => Centrum [31:16]" 0x1076 "readonly"}
    lappend DPPTriggerA {CNTOKN_L "Trig <= GMT [15:0]" 0x1078 "readonly"}
    lappend DPPTriggerA {CNTOKN_H "Trig <= GMT [31:16]" 0x107a "readonly"}
    lappend DPPTriggerA {CNTFA_L "Gates => V1751 [15:0]" 0x107c "readonly"}
    lappend DPPTriggerA {CNTFA_H "Gates => V1751 [31:16]" 0x107e "readonly"}


    variable DPPTriggerB {}
    lappend DPPTriggerB {CNTMUX1_L "??? [15:0]" 0x1080 "readonly"}
    lappend DPPTriggerB {CNTMUX1_H "??? [31:16]" 0x1082 "readonly"}
    lappend DPPTriggerB {CNTMUX2_L "??? [15:0]" 0x1084 "readonly"}
    lappend DPPTriggerB {CNTMUX2_H "??? [31:16]" 0x1086 "readonly"}
    lappend DPPTriggerB {RAZCNT "zero Counters" 0x1090 ""}
    lappend DPPTriggerB {ENCNT "enable Counters" 0x1092 ""}

    variable DPPTriggerC1 {}
    lappend DPPTriggerC1 {MUX1 "inspection line #1" 0x108c ""}
    variable DPPTriggerC2 {}
    lappend DPPTriggerC2 {MUX2 "inspection line #2" 0x108e ""}

    variable DPPFTTriggerA {}
    lappend DPPFTTriggerA {FT_CTRL "reset gate logic" 0x10e0 ""}
    lappend DPPFTTriggerA {FT_RDOUT_STATUS "readout status" 0x10e2 ""}
    lappend DPPFTTriggerA {FT_RDOUT_CTRL "readout control" 0x10e4 ""}
    lappend DPPFTTriggerA {FT_RUN "run control" 0x10e6 ""}

    variable DPPFTTriggerB {}
    lappend DPPFTTriggerB {GATE_W "gate width" 0x10e8 ""}
    lappend DPPFTTriggerB {FT_RDOUT_DELAY "readout delay" 0x10ec ""}
    lappend DPPFTTriggerB {PreScaleReg "PreScale Control" 0x10ee ""}
    lappend DPPFTTriggerB {FP_Test "FP Test Reg" 0x1200 ""}

    variable V1495DPPRegisterMap {}
    foreach item $V1495DPPRegisterMapA {lappend V1495DPPRegisterMap $item}
    foreach item $V1495DPPRegisterMapB {lappend V1495DPPRegisterMap $item}
    foreach item $DPPCentrumA {lappend V1495DPPRegisterMap $item}
    foreach item $DPPCentrumB {lappend V1495DPPRegisterMap $item}
    foreach item $DPPTriggerA {lappend V1495DPPRegisterMap $item}
    foreach item $DPPTriggerB {lappend V1495DPPRegisterMap $item}
    foreach item $DPPFTTriggerA {lappend V1495DPPRegisterMap $item}
    foreach item $DPPFTTriggerB {lappend V1495DPPRegisterMap $item}

    variable DPPTriggerMUXMenu {}
    lappend DPPTriggerMUXMenu "RC Back Edge"
    lappend DPPTriggerMUXMenu "TDC_start"
    lappend DPPTriggerMUXMenu "TDC_Start_200ns"
    lappend DPPTriggerMUXMenu "GMT_trg_req"
    lappend DPPTriggerMUXMenu "Got Start Gate"
    lappend DPPTriggerMUXMenu "Start_Gate"
    lappend DPPTriggerMUXMenu "FAG"
    lappend DPPTriggerMUXMenu "OK"
    lappend DPPTriggerMUXMenu "FAG_received"
    lappend DPPTriggerMUXMenu "Write_data_to_DAQ"
    lappend DPPTriggerMUXMenu "Start readout"
    lappend DPPTriggerMUXMenu "clr_FAG_received"
    lappend DPPTriggerMUXMenu "Readout complete"
    lappend DPPTriggerMUXMenu "Start Readout delay"
    lappend DPPTriggerMUXMenu "V1495 busy"
    lappend DPPTriggerMUXMenu "GMT busy"


    variable Config 0
    variable Config.B0 0
    variable Config.B2 0
    variable Config.B3 0
    variable Config.B4 0
    variable Config.B7 0
    variable Config.B8 0
    variable Config.B9 0

    variable SaveRestoreMenu {FT_CTRL FT_RDOUT_STATUS FT_RDOUT_CTRL FT_RUN GATE_W MIS4 FT_RDOUT_DELAY PreScaleReg}



     if {$LogFlag == 1} {InsertLog "Started: [clock format [clock seconds] -format "%B %d, %Y %H:%M:%S"]"}

   proc do_ExpertHelp {} {

        set Txtfile [file join V1495DPP Expert.txt]
        set z [catch {open $Txtfile r} file]
        if {$z != 0} {
            Alert "Unable to access $Txtfile\nInformation coming very soon!!\nFor now read the manual!!"
            return
        }

        set text [read $file]
        close $file

        Alert "$text"
  }

   proc show_variables {} {
        variable ModuleName
        variable ModuleIndex
        variable ModuleMenu
        variable allmodules
        variable LogFlag
        variable ShowLogFlag
        variable Rmsg
        variable Wmsg

             InsertLog "LogFlag=$LogFlag; ShowLogFlag=$ShowLogFlag"
             InsertLog "ModuleMenu=$ModuleMenu; ModuleName=$ModuleName; ModuleIndex=$ModuleIndex; "
             InsertLog "allmodules=$allmodules"
             InsertLog "Rmsg=$Rmsg"
             InsertLog "Wmsg=$Wmsg"
             InsertLog "Firmware Version=[ReadRegister Version]"
   }

   proc do_Select {i} {    ;# select module
        variable ModuleIndex

         set ModuleIndex $i
         UpdateModule
   }

    proc UpdateModule {} {
        variable ModuleName
        variable ModuleIndex
       variable Config
       variable Config.B0
       variable Config.B2
       variable Config.B3
       variable Config.B4
       variable Config.B7
       variable Config.B8
       variable Config.B9

       set Config [ReadRegister Ctrl]

       set Config.B0 [expr $Config & 3]
       set Config.B2 [expr ($Config >> 2) & 1]
       set Config.B3 [expr ($Config >> 3) & 1]
       set Config.B4 [expr ($Config >> 4) & 1]
       set Config.B7 [expr ($Config >> 7) & 1]
       set Config.B8 [expr ($Config >> 8) & 1]
       set Config.B9 [expr ($Config >> 9) & 1]

   }

    proc click-SETTING {w vl} {

        WriteRegister $w $vl
    }


    proc do_Save {which} {
        variable ModuleName
        variable ModuleIndex
        variable SaveRestoreMenu

       set SAV $ModuleIndex

           set ModuleIndex $which
           InsertLog "Saving Settings for CAEN [set ModuleName]#[set ModuleIndex]"

           set Project $::DataAcquisition::PROJECT
           set DBRootName [set ::[set Project]::DBRootName]
           set DBNodeBase [set ::[set Project]::DBNodeBase]

           set ::[set Project]::DBNodeName [string tolower $ModuleName]#[set ModuleIndex]
           DBCreateNode $DBRootName/$DBNodeBase/[set ::[set Project]::DBNodeName]

           DBSetValue Scratch16   [ReadRegister Scratch16]
           DBSetValue Scratch32   [ReadRegister Scratch32]

	foreach item $SaveRestoreMenu {
	    DBSetValue $item  [ReadRegister $item]
	}

        set ModuleIndex $SAV
    }

    proc do_SaveAll {} {
        variable ModuleName
        variable ModuleMenu

        foreach module $ModuleMenu {do_Save $module}

        InsertLog "Settings for All CAEN [set ModuleName] modules updated in DB"

        Elog INFORMATION "Settings for All CAEN [set ModuleName] modules updated in DB"
    }

   proc do_Restore {which} {
        variable ModuleIndex
        variable ModuleName
        variable SaveRestoreMenu

        set SAV1 $ModuleIndex

        set ModuleIndex $which

        InsertLog "Restoring Settings for CAEN [set ModuleName]#[set ModuleIndex]"

           set Project $::DataAcquisition::PROJECT
           set DBRootName [set ::[set Project]::DBRootName]
           set DBNodeBase [set ::[set Project]::DBNodeBase]

           set ::[set Project]::DBNodeName [string tolower $ModuleName]#[set ModuleIndex]
           DBCreateNode $DBRootName/$DBNodeBase/[set ::[set Project]::DBNodeName]

       foreach item $SaveRestoreMenu {

	   WriteRegister $item [DBGetValue $item]
       }

        set ModuleIndex $SAV1
    }

    proc do_RestoreAll {} {
        variable ModuleName
        variable ModuleMenu

       foreach module $ModuleMenu {do_Restore $module}

        ::VMEConfig::WriteRegister HasBeenRestored 1

        InsertLog "Settings for All CAEN [set ModuleName] modules restored from DB"

        Elog INFORMATION "Settings for All CAEN [set ModuleName] modules restored from DB"
    }

   proc do_SoftTrig {n} {
      variable SoftTrigRun
        variable ModuleName
        variable ModuleIndex

      switch $n {
        1     {WriteRegister Arm 0}
        0     {puts "V1495DPP finished SoftTrig run"; set SoftTrigRun 0}
        100   {set SoftTrigRun 1; after 100 ::V1495DPP::do_SoftTrig 99}
        99999 {puts "V1495DPP starting SoftTrig run"; set SoftTrigRun 1; after 100 ::V1495DPP::do_SoftTrig 99998}
        99998 {if {$::V1495DPP::SoftTrigRun ==0} return; WriteRegister Arm 0; after 100 ::V1495DPP::do_SoftTrig 99998}
        default  {if {$::V1495DPP::SoftTrigRun ==0} return; WriteRegister Arm 0; if {$n > 0} {after 100 ::V1495DPP::do_SoftTrig [expr $n-1]}}
      }
   }

    proc do_AcqStart {} {

        WriteRegister  FT_RUN 1
        WriteRegister  MIS4 3
    }

    proc do_AcqHalt {} {

        WriteRegister  FT_RUN 0
        WriteRegister  MIS4 0
    }

    proc do_AcqArm {} {

        WriteRegister  FT_RDOUT_CTRL 1
        WriteRegister  FT_RDOUT_CTRL 0
    }

     proc do_click {} {
       variable cgidata
       variable started
       variable LogFlag
       variable ShowLogFlag
       variable ModuleIndex
       variable ModuleName

       set cgidata [ncgi::nvlist]

       if {$LogFlag == 1} {InsertLog "cgidata= ([llength $cgidata]) $cgidata"}

       if {[llength $cgidata] == 0} then {return}

       if {[llength $cgidata] < 2} then {
           InsertLog "CGI data is too short: $cgidata"
       } else {
           if {[lindex $cgidata 0] != "Widget"} then {
               InsertLog "Invalid CGI data: $cgidata"
           } else {
               set w [lindex $cgidata 1]

               switch -glob [lindex $w 0] {

                   RESET    {set started 0}
                   CLEAR    {EmptyLog}
                   ELOG     {PrintLog}
                   RELOAD   {}
                   VARIABLES {show_variables}

                   HIDE     {set ShowLogFlag 0}
                   SHOW     {set ShowLogFlag 1}
                   LOGON    {set LogFlag 1}
                   LOGOFF   {set LogFlag 0}

                   ALLMODULES {variable allmodules; set allmodules [expr ($allmodules + 1) & 1]}

                   MODULE   {do_Select [lindex $w 1]}

                   EXPERT {
                      switch [lindex $w 1] {
                        Help      {do_ExpertHelp}
                        FirmwareUpdate {Alert "Start firmware update from VME Control page"}
                        SoftTrig  {do_SoftTrig [lindex $w 2]}
                        AcqStart  {do_AcqStart}
                        AcqHalt   {do_Acqhalt}
                        AcqArm    {do_AcqArm}
                        Scratch   {WriteRegister Scratch32 12345}
                        Arm       {WriteRegister Arm [lindex $w 2]}
                        default     {}
                      }
                   }
                   EXPERTHELP    {do_ExpertHelp}

                   SAVEALL      {do_SaveAll}
                   RESTALL      {do_RestoreAll}
                   SAVE         {do_Save $ModuleIndex}
                   RESTORE      {do_Restore $ModuleIndex}

                   SETTING     {click-SETTING [lindex $w 1] [lindex $w 2]}

                   REDISPLAY  {} 

                   MainLog {}
                   undefined {}
                   default {InsertLog "unexpected CGI data: [lindex $w 0]: $cgidata"}
               }
           }
       }
       UpdateModule
    }

}   ;# end of if {$started == 0}

