

# variable started 0

if {![info exists started]} {variable started 0}

if {$started != 0} {

     variable JS ""
     variable LogFlag

     if {$LogFlag == 1} {InsertLog "Last Updated: [clock format [clock seconds] -format "%B %d, %Y %H:%M:%S"]"}

    do_click
}

if {$started == 0} {           ;#  first time load code and define local variables
    set started 1


    variable LogText ""
    variable LogFlag 0
    variable LogCount 0

    variable ShowLogFlag 0

    variable JS ""

    variable allmodules 0
    variable offline 0


    variable Rmsg
    variable Wmsg

    variable ModuleName v1495
    variable ModuleMenu {}
    variable ModuleAddress {}
    variable ModuleIndex 1

    variable V1495RegisterMap {}
    lappend V1495RegisterMap {Firmware Firmware_Rev}    ;#  title   register
    lappend V1495RegisterMap {Scratch16 Scratch16}
    lappend V1495RegisterMap {Scratch32 Scratch32}

    lappend V1495RegisterMap {REVISION Revision}
    lappend V1495RegisterMap {A_STATUS_L StatusA_L}
    lappend V1495RegisterMap {A_STATUS_H StatusA_H}
    lappend V1495RegisterMap {B_STATUS_L StatusB_L}
    lappend V1495RegisterMap {B_STATUS_H StatusB_H}
    lappend V1495RegisterMap {C_STATUS_L StatusC_L}
    lappend V1495RegisterMap {C_STATUS_H StatusC_H}

    lappend V1495RegisterMap {A_MASK_L MaskA_L}
    lappend V1495RegisterMap {A_MASK_H MaskA_H}
    lappend V1495RegisterMap {B_MASK_L MaskB_L}
    lappend V1495RegisterMap {B_MASK_H MaskB_H}
    lappend V1495RegisterMap {C_MASK_L MaskC_L}
    lappend V1495RegisterMap {C_MASK_H MaskC_H}

    lappend V1495RegisterMap {GATEWIDTH GateWidth}
    lappend V1495RegisterMap {MODE Mode}
    lappend V1495RegisterMap {SCRATCH Scratch}
    lappend V1495RegisterMap {GCONTROL GControl}
    lappend V1495RegisterMap {PDL_CONTROL PDLControl}
    lappend V1495RegisterMap {PDL_DATA PDLData}

    lappend V1495RegisterMap {C_CONTROL_L ControlC_L}
    lappend V1495RegisterMap {C_CONTROL_H ControlC_H}
    lappend V1495RegisterMap {D_CONTROL_L ControlD_L}
    lappend V1495RegisterMap {D_CONTROL_H ControlD_H}
    lappend V1495RegisterMap {E_CONTROL_L ControlE_L}
    lappend V1495RegisterMap {E_CONTROL_H ControlE_H}
    lappend V1495RegisterMap {F_CONTROL_L ControlF_L}
    lappend V1495RegisterMap {F_CONTROL_H ControlF_H}

    lappend V1495RegisterMap {D_DATA_L DataD_L}
    lappend V1495RegisterMap {D_DATA_H DataD_H}
    lappend V1495RegisterMap {E_DATA_L DataE_L}
    lappend V1495RegisterMap {E_DATA_H DataE_H}
    lappend V1495RegisterMap {F_DATA_L DataF_L}
    lappend V1495RegisterMap {F_DATA_H DataF_H}

    lappend V1495RegisterMap {D_IDCODE IDCode_D}
    lappend V1495RegisterMap {E_IDCODE IDCode_E}
    lappend V1495RegisterMap {F_IDCODE IDCode_F}

    variable Settings1 {}
    lappend Settings1 {A_MASK_L MaskA_L}
    lappend Settings1 {A_MASK_H MaskA_H}
    lappend Settings1 {B_MASK_L MaskB_L}
    lappend Settings1 {B_MASK_H MaskB_H}
    lappend Settings1 {C_MASK_L MaskC_L}
    lappend Settings1 {C_MASK_H MaskC_H}

    variable Settings2 {}
    lappend Settings2 {C_CONTROL_L ControlC_L}
    lappend Settings2 {C_CONTROL_H ControlC_H}
    lappend Settings2 {D_CONTROL_L ControlD_L}
    lappend Settings2 {D_CONTROL_H ControlD_H}
    lappend Settings2 {E_CONTROL_L ControlE_L}
    lappend Settings2 {E_CONTROL_H ControlE_H}
    lappend Settings2 {F_CONTROL_L ControlF_L}
    lappend Settings2 {F_CONTROL_H ControlF_H}

    variable Settings3 {}
    lappend Settings3 {D_DATA_L DataD_L}
    lappend Settings3 {D_DATA_H DataD_H}
    lappend Settings3 {E_DATA_L DataE_L}
    lappend Settings3 {E_DATA_H DataE_H}
    lappend Settings3 {F_DATA_L DataF_L}
    lappend Settings3 {F_DATA_H DataF_H}

    variable Settings4 {}
    lappend Settings4 {SCRATCH16 Scratch16}
    lappend Settings4 {SCRATCH32 Scratch32}
    lappend Settings4 {SCRATCH Scratch}
    lappend Settings4 {GATEWIDTH GateWidth}
    lappend Settings4 {MODE Mode}
    lappend Settings4 {GCONTROL GControl}
    lappend Settings4 {PDLCONTROL PDLControl}
    lappend Settings4 {PDLDATA PDLData}


    variable Status1 {}
    lappend Status1 {A_STATUS_L StatusA_L}
    lappend Status1 {A_STATUS_H StatusA_H}
    lappend Status1 {B_STATUS_L StatusB_L}
    lappend Status1 {B_STATUS_H StatusB_H}
    lappend Status1 {C_STATUS_L StatusC_L}
    lappend Status1 {C_STATUS_H StatusC_H}

    variable Status2 {}
    lappend Status2 {D_IDCODE IDCode_D}
    lappend Status2 {E_IDCODE IDCode_E}
    lappend Status2 {F_IDCODE IDCode_F}
    lappend Status2 {PDLCONTROL PDLControl}
    lappend Status2 {PDLDATA PDLData}


    variable Status3 {}
    lappend Status3 {D_DATA_L DataD_L}
    lappend Status3 {D_DATA_H DataD_H}
    lappend Status3 {E_DATA_L DataE_L}
    lappend Status3 {E_DATA_H DataE_H}
    lappend Status3 {F_DATA_L DataF_L}
    lappend Status3 {F_DATA_H DataF_H}

    variable Status4 {}
    lappend Status4 {SCRATCH16 Scratch16}
    lappend Status4 {SCRATCH32 Scratch32}
    lappend Status4 {SCRATCH Scratch}
    lappend Status4 {REVISION Revision}



    variable SaveRestoreMenu {}



     if {$LogFlag == 1} {InsertLog "Started: [clock format [clock seconds] -format "%B %d, %Y %H:%M:%S"]"}


   proc show_variables {} {
        variable ModuleIndex
        variable ModuleMenu
        variable alladcs
        variable allmodules
        variable LogFlag
        variable ShowLogFlag
        variable Rmsg
        variable Wmsg

             InsertLog "LogFlag=$LogFlag; ShowLogFlag=$ShowLogFlag"
             InsertLog "ModuleMenu=$ModuleMenu; ModuleIndex=$ModuleIndex"
             InsertLog "Rmsg=$Rmsg"
             InsertLog "Wmsg=$Wmsg"
             InsertLog "Firmware Version=[ReadRegister Revision]"
   }

   proc do_Select {i} {    ;# select module
        variable ModuleIndex

         set ModuleIndex $i
         UpdateModule
   }

    proc UpdateModule {} {

   }


    proc do_Save {which} {
        variable ModuleName
        variable ModuleIndex
        variable SaveRestoreMenu

       set SAV $ModuleIndex

           set ModuleIndex $which
           InsertLog "Saving Settings for CAEN [set ModuleName]#[set ModuleIndex]"

           set Project $::DataAcquisition::PROJECT
           set DBRootName [set ::[set Project]::DBRootName]
           set DBNodeBase [set ::[set Project]::DBNodeBase]

           set ::[set Project]::DBNodeName [string tolower $ModuleName]#[set ModuleIndex]
           DBCreateNode $DBRootName/$DBNodeBase/[set ::[set Project]::DBNodeName]

           DBSetValue Scratch16   [ReadRegister Scratch16]
           DBSetValue Scratch32   [ReadRegister Scratch32]

	foreach item $SaveRestoreMenu {
	    DBSetValue $item  [ReadRegister $item]
	}

        set ModuleIndex $SAV
    }

    proc do_SaveAll {} {
        variable ModuleName
        variable ModuleMenu

        foreach module $ModuleMenu {do_Save $module}

        InsertLog "Settings for All CAEN [set ModuleName] modules updated in DB"

        Elog INFORMATION "Settings for All CAEN [set ModuleName] modules updated in DB"
    }

   proc do_Restore {which} {
        variable ModuleIndex
        variable ModuleName
        variable SaveRestoreMenu

        set SAV1 $ModuleIndex

        set ModuleIndex $which

        InsertLog "Restoring Settings for CAEN [set ModuleName]#[set ModuleIndex]"

           set Project $::DataAcquisition::PROJECT
           set DBRootName [set ::[set Project]::DBRootName]
           set DBNodeBase [set ::[set Project]::DBNodeBase]

           set ::[set Project]::DBNodeName [string tolower $ModuleName]#[set ModuleIndex]
           DBCreateNode $DBRootName/$DBNodeBase/[set ::[set Project]::DBNodeName]

       foreach item $SaveRestoreMenu {

	   WriteRegister $item [DBGetValue $item]
       }

        set ModuleIndex $SAV1
    }

    proc do_RestoreAll {} {
        variable ModuleName
        variable ModuleMenu

       foreach module $ModuleMenu {do_Restore $module}

        ::VMEConfig::WriteRegister HasBeenRestored 1

        InsertLog "Settings for All CAEN [set ModuleName] modules restored from DB"

        Elog INFORMATION "Settings for All CAEN [set ModuleName] modules restored from DB"
    }

     proc do_Setting {r vl} {

          WriteRegister $r $vl
     }

     proc do_click {} {
       variable cgidata
       variable started
       variable LogFlag
       variable ShowLogFlag
       variable ModuleIndex

       set cgidata [ncgi::nvlist]

       if {$LogFlag == 1} {InsertLog "cgidata= ([llength $cgidata]) $cgidata"}

       if {[llength $cgidata] == 0} then {return}

       if {[llength $cgidata] < 2} then {
           InsertLog "CGI data is too short: $cgidata"
       } else {
           if {[lindex $cgidata 0] != "Widget"} then {
               InsertLog "Invalid CGI data: $cgidata"
           } else {
               set w [lindex $cgidata 1]

               switch -glob [lindex $w 0] {

                   RESET    {set started 0}
                   CLEAR    {EmptyLog}
                   ELOG     {PrintLog}
                   RELOAD   {}
                   VARIABLES {show_variables}

                   HIDE     {set ShowLogFlag 0}
                   SHOW     {set ShowLogFlag 1}
                   LOGON    {set LogFlag 1}
                   LOGOFF   {set LogFlag 0}

                   ALLMODULES {variable allmodules; set allmodules [expr ($allmodules + 1) & 1]}

                   MODULE   {do_Select [lindex $w 1]}

                   SAVEALL      {do_SaveAll}
                   RESTALL      {do_RestoreAll}
                   SAVE         {do_Save $ModuleIndex}
                   RESTORE      {do_Restore $ModuleIndex}

                   SETTING     {do_Setting [lindex $w 1] [lindex $w 2]}
                   SYSTEM      {
                       switch [lindex $w 1] {
                           FirmwareUpdate {Alert "Start firmware update from VME Control page"}
                           default {WriteRegister [lindex $w 1] 1}
                       }
                   }

                   REDISPLAY  {} 

                   MainLog {}
                   undefined {}
                   default {InsertLog "unexpected CGI data: [lindex $w 0]: $cgidata"}
               }
           }
       }
       UpdateModule
    }

}   ;# end of if {$started == 0}

